%define scummvmdir %{_datadir}/scummvm/

Name:		beneath-a-steel-sky
Summary:	An adventure game using ScummVM
Version:	1.3
Release:	%mkrel 4
Source0:	https://prdownloads.sourceforge.net/scummvm/bass-cd-1.2.tar.bz2
# we take from Debian the launcher, icons, manpages
Source1:	http://deb.debian.org/debian/pool/main/b/beneath-a-steel-sky/beneath-a-steel-sky_0.0372-7.debian.tar.xz
License:	Freeware
Url:		https://www.scummvm.org/games/#sky
Group:		Games/Adventure
BuildRequires:	gettext
BuildRequires:	unzip
Requires:	scummvm
BuildArch:	noarch

%description
A science-fiction thriller set in a bleak post-apocalyptic vision
of the future, Beneath a Steel Sky revolves around "Union City",
where selfishness, rivalry, and corruption by its citizens
seem to be all too common, and those who can afford it live
underground, away from the pollution and social problems
which are plaguing the city.

You take on the role of Robert Foster, an outcast of sorts
from the city, since he was a boy, who was raised in a remote
environment outside of Union City simply termed "the gap". Robert's
mother took him away from Union City as a child on their way to "Hobart"
but the helicopter crashed on its way, unfortunately Robert's
mother dies, but he survives and is left to be raised by a
local tribe from the gap.

Years later, Union City security drops by and abducts
Robert, killing his tribe in the process; upon reaching
the city the helicopter taking him there crashes with
him escaping, high upon a tower block in the middle of the
city he sets out to discover the truth about his past,
and to seek vengeance for the killing of his tribe.

This game was released by Revolution studio to help the ScummVM
project. However, this is not a free game ( at least not
free-as-in-speech ), even if the source code can be seen. That's why it
belongs at the nonfree repository.

%prep
%setup -q -n bass-cd-1.2 -a 1


%build
cd debian/po
msgfmt -o de.mo de.po
msgfmt -o fr.mo fr.po
msgfmt -o sv.mo sv.po
cd ../..

%install
mkdir -p %{buildroot}/%{scummvmdir}/%{name}
cp sky* %{buildroot}/%{scummvmdir}/%{name}

install -m 755 -D debian/sky %{buildroot}%{_gamesbindir}/sky
install -m 644 -D debian/sky.6 %{buildroot}%{_mandir}/man6/sky.6
install -m 644 -D debian/sky.de.6 %{buildroot}%{_mandir}/de/man6/sky.6
install -m 644 -D debian/sky.sv.6 %{buildroot}%{_mandir}/sv/man6/sky.6
install -m 644 -D debian/icons/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 644 -D debian/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

install -m 644 -D debian/po/de.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/sky.mo
install -m 644 -D debian/po/fr.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/sky.mo
install -m 644 -D debian/po/sv.mo %{buildroot}%{_datadir}/locale/sv/LC_MESSAGES/sky.mo
%find_lang sky

%files -f sky.lang
%doc readme.txt
%{_gamesbindir}/sky
%{_mandir}/man6/sky.6.xz
%{_mandir}/de/man6/sky.6.xz
%{_mandir}/sv/man6/sky.6.xz
%{scummvmdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Apr 15 2022 umeabot <umeabot> 1.3-4.mga9
+ Revision: 1850296
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.3-3.mga8.nonfree
+ Revision: 1548600
- Mageia 8 Mass Rebuild

* Wed Oct 30 2019 zezinho <zezinho> 1.3-2.mga8.nonfree
+ Revision: 1456694
- fix script perms

* Wed Oct 30 2019 zezinho <zezinho> 1.3-1.mga8.nonfree
+ Revision: 1456689
- use debian translated launcher man pages and icon

* Thu Sep 20 2018 umeabot <umeabot> 1.2-9.mga7.nonfree
+ Revision: 1277640
- Mageia 7 Mass Rebuild

* Fri Jul 07 2017 akien <akien> 1.2-8.mga6.nonfree
+ Revision: 1109180
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5.nonfree
+ Revision: 743323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5.nonfree
+ Revision: 678140
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.2-5.mga4.nonfree
+ Revision: 548327
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2-4.mga3.nonfree
+ Revision: 346892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 10 2012 shlomif <shlomif> 1.2-3.mga3.nonfree
+ Revision: 280445
- Correct some typos and got rid of trailing space.
  In the .spec.

* Mon Sep 26 2011 zezinho <zezinho> 1.2-2.mga2.nonfree
+ Revision: 149023
- bump release
- licence corrected

* Mon Sep 26 2011 zezinho <zezinho> 1.2-1.mga2.nonfree
+ Revision: 149012
- imported package beneath-a-steel-sky


* Thu Jan 28 2010 Götz Waschk <goetz@zarb.org> 1.2-3plf2010.1
- add PLF reason
- update menu category
- remove old menu

* Fri Aug 18 2006 Götz Waschk <goetz@zarb.org> 1.2-2plf2007.0
- add xdg menu
- add an icon

* Wed Nov  2 2005 Götz Waschk <goetz@zarb.org> 1.2-1plf
- source URL
- new version

* Sat Oct 25 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1plf
- initial spec
- menu file
